> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.whizcozy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server.

# Update Firm

PUT https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}
Content-Type: multipart/form-data

Update firm profile details.

**Allowed roles**:
- `owner`

Send as `multipart/form-data`. All fields are optional; omitted fields are
left unchanged. Empty optional text fields clear the existing value.

Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/firms/update-firm-api-v-1-firms-firm-slug-put

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `firm_slug` (string, required)

### Body (multipart/form-data)

This endpoint expects a multipart form containing an optional file.

- `name` (string, optional)
- `contact_email` (string, optional)
- `contact_phone` (string, optional)
- `description` (string, optional)
- `remove_logo` (boolean, optional)
- `logo` (file, optional)

## Response

### 200

Successful Response

- `data` (FirmResponse, required)
- `status` (string, optional, default: success)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### FirmResponse

- `id` (integer, required)
- `name` (string, required)
- `slug` (string, required)
- `owner_user_id` (integer, required)
- `contact_email` (string, optional, nullable)
- `contact_phone` (string, optional, nullable)
- `description` (string, optional, nullable)
- `logo_url` (string, optional, nullable)
- `logo_filename` (string, optional, nullable)
- `logo_mime_type` (string, optional, nullable)
- `logo_size` (integer, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

### ValidationErrorCtx

## Examples

**Request**

```json
{
  "contact_email": {
    "type": "json"
  },
  "contact_phone": {
    "type": "json"
  },
  "description": {
    "type": "json"
  },
  "logo": "<file: [object Object]>",
  "name": {
    "type": "json"
  },
  "remove_logo": {
    "type": "json"
  }
}
```

**Response**

```json
{
  "data": {
    "id": 1,
    "name": "string",
    "slug": "string",
    "owner_user_id": 1,
    "contact_email": "string",
    "contact_phone": "string",
    "description": "string",
    "logo_url": "string",
    "logo_filename": "string",
    "logo_mime_type": "string",
    "logo_size": 1
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug"

files = { "logo": "open('[object Object]', 'rb')" }
payload = {
    "contact_email": "{
  \"type\": \"json\"
}",
    "contact_phone": "{
  \"type\": \"json\"
}",
    "description": "{
  \"type\": \"json\"
}",
    "name": "{
  \"type\": \"json\"
}",
    "remove_logo": "{
  \"type\": \"json\"
}"
}
headers = {"Authorization": "<apiKey>"}

response = requests.put(url, data=payload, files=files, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug';
const form = new FormData();
form.append('contact_email', '{
  "type": "json"
}');
form.append('contact_phone', '{
  "type": "json"
}');
form.append('description', '{
  "type": "json"
}');
form.append('logo', '[object Object]');
form.append('name', '{
  "type": "json"
}');
form.append('remove_logo', '{
  "type": "json"
}');

const options = {method: 'PUT', headers: {Authorization: '<apiKey>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_email\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_phone\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"logo\"; filename=\"[object Object]\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"remove_logo\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<apiKey>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_email\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_phone\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"logo\"; filename=\"[object Object]\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"remove_logo\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug")
  .header("Authorization", "<apiKey>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_email\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_phone\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"logo\"; filename=\"[object Object]\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"remove_logo\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug', [
  'multipart' => [
    [
        'name' => 'contact_email',
        'contents' => '{
  "type": "json"
}'
    ],
    [
        'name' => 'contact_phone',
        'contents' => '{
  "type": "json"
}'
    ],
    [
        'name' => 'description',
        'contents' => '{
  "type": "json"
}'
    ],
    [
        'name' => 'logo',
        'filename' => '[object Object]',
        'contents' => null
    ],
    [
        'name' => 'name',
        'contents' => '{
  "type": "json"
}'
    ],
    [
        'name' => 'remove_logo',
        'contents' => '{
  "type": "json"
}'
    ]
  ]
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "<apiKey>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_email\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"contact_phone\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"logo\"; filename=\"[object Object]\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"remove_logo\"\r\n\r\n{\n  \"type\": \"json\"\n}\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]
let parameters = [
  [
    "name": "contact_email",
    "value": "{
  \"type\": \"json\"
}"
  ],
  [
    "name": "contact_phone",
    "value": "{
  \"type\": \"json\"
}"
  ],
  [
    "name": "description",
    "value": "{
  \"type\": \"json\"
}"
  ],
  [
    "name": "logo",
    "fileName": "[object Object]"
  ],
  [
    "name": "name",
    "value": "{
  \"type\": \"json\"
}"
  ],
  [
    "name": "remove_logo",
    "value": "{
  \"type\": \"json\"
}"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```